@mixin app-v2c-referral-handshake-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  app-v2c-referral-handshake {
    width: 100%;
    padding: 5px;
    overflow-x: hidden;
  }

  .v2c-referral-handshake {
    margin-top: 25px !important;
    display: flex;
    flex-direction: column;
    padding: 5px;
    background-color: mat-color($primary, 50);

    .v2crh-main-card {
      display: flex;
      flex-direction: column;
      padding: 0px;
      background-color: mat-color($primary, 50);

      .mat-card-header {
        width: 100%;
      }

      .mat-card-content {
        .example-small-box {
          display: flex;
          align-items: center;
          justify-content: center;
          background: white;

          .table-filters-header {
            width: 100%;
            background-color: white;
            border: 1px solid #eaf0fb;

            .table-top-icons {
              mat-icon {
                padding: 5px;
              }

              mat-icon:hover {
                cursor: pointer;
                // color: #FF5722;
                color: mat-color($warn);
              }
            }
          }
          .example-container {
            width: 100%;
            margin-right: 10px;
            margin-left: 10px;

            .ag-header-cell-text {
              overflow: visible;
              text-overflow: unset;
              white-space: normal;
            }

            .grid-footer {
              line-height: 35px;
              margin: 5px;
              .foot-notes {
                text-align: left;
                // line-height: 35px;

                .color-grade {
                  padding: 10px 30px;
                  margin: 5px;
                  line-height: 30px;
                  background-color: sandybrown;
                  border-radius: 10px;
                }
              }
              .paging-size-header {
                margin-right: 10px;
                select {
                  height: 25px;
                  margin-top: 5px;
                }
              }
            }

            .mat-form-field-flex > .mat-form-field-infix {
              padding: 0.8em 0px !important;
              height: 10px;
            }
            .mat-form-field-appearance-outline .mat-form-field-wrapper {
              margin: 0.15em 0;
            }

            .mat-form-field-infix {
              border-top: 0.14375em solid transparent;
            }

            .bottom-btn {
              button {
                margin: 10px;
                margin-top: 5px;
              }

              .save-btn {
                flex: auto;
              }

              .transmit-btn {
                flex: auto;
              }
            }
          }
        }
      }
    }
  }
}
